function main(self)
	if self.State == 0 then
        if GetCursesState() == false then
            self:Destroy()
        end
        self:SetAnimation"GAME_POWERUP"
		self.AttackRect = {-18,-18,18,18}
		self.AttackTypeFlags = ObjectType.Player
        self.State = 5
    else
        self:AnimationStep()
	end
end

function attack(self)
    SendMPMessage(2, self.ID)
    PlaySound"GAME_CASTCURSE"
    TextOut"The other players have been teleported back!"
	self:Destroy()
end
